Perl::Critic::ProfilePrototype(3)

NAME
Perl::Critic::ProfilePrototype - Generate an initial Perl::Critic profile.

DESCRIPTION
This is a helper class that generates a prototype of a Perl::Critic profile (e.g. a .perlcriticrc file. There are no user-serviceable parts here.

INTERFACE SUPPORT
This is considered to be a non-public class. Its interface is subject to change without notice.

CONSTRUCTOR

"new( -policies => \@POLICY_OBJECTS )"
    Returns a reference to a new "Perl::Critic::ProfilePrototype" object.

METHODS

to_string()
    Returns a string representation of this "ProfilePrototype". See "OVERLOADS" for more information.

OVERLOADS
When a Perl::Critic::ProfilePrototype is evaluated in string context, it produces a multi-line summary of the policy name, default themes, and default severity for each Perl::Critic::Policy object that was given to the constructor of this "ProfilePrototype". If the Policy supports an additional parameters, they will also be listed (but commented-out). The format is suitable for use as a .perlcriticrc file.

AUTHOR
Jeffrey Ryan Thalhammer <jeff@imaginative-software.com>

COPYRIGHT
Copyright (c) 2005-2011 Imaginative Software Systems. All rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself. The full text of this license can be found in the LICENSE file included with this module.